/***************************************************************/
/*                                                             */
/* Conversin de fuentes de MAKE BOTON en ASCII a fuentes      */
/* para CPP, que pueden ser compilados junto al programa.      */
/*                                                             */
/***************************************************************/
/*                                                             */
/* MAKE BOTON es un programa realizado por Jos David Guilln  */
/* MB a CPP   es una utilidad complementaria a Make Boton por  */
/*             Jos David Guilln...                           */
/*                                                             */
/***************************************************************/
/*                                                             */
/* GRACIAS POR UTILIZAR MI SOFTWARE...                         */
/*                                                             */
/*                               JOS DAVID GUILLN (c) 1995   */
/*                                                             */
/***************************************************************/



// Debe indicar el directorio exacto de la Cabecera de MAKE BOTON
#include "d:\program\src_dos\libs\make_bot\make_bot.h"		// Fuciones de MAKE_BOTON
#include <stdio.h>
#include <stdlib.h>
#include <alloc.h>
#include <graphics.h>



extern int vez, memoria_asignada, Secuencias, *n_Botones_Secuencia;
 struct Make_Boton {  int Up,  Left, Down, Right;  unsigned char Cdf, Cb1,  Cb2; unsigned char  Ab,  Pb; unsigned char  Isc, Sc;  };
extern struct Make_Boton far *Botones;
struct Make_Boton Bot_Static;



extern void Libera_Memoria(void);extern void Imprime_Boton(int D_Bord, struct Make_Boton Bot_Imp);


// Esta funcin debe ser llamada para la inicializacion de los
//  botones en lugar de CARGA_BOTONES(...).		   
//  Para cargar los botones con parametro 0 y para imprimir   
//   imprimir los estaticos con parametro [ n de secuencia ] 
int Fichero_cd_in2(char Dinamicos_Estaticos);

int Fichero_cd_in2(char Dinamicos_Estaticos) {

static char vez = 0;

        switch(Dinamicos_Estaticos) {

         case 0:
                if( vez == 0 ) {
				vez = 1;
                                atexit( Libera_Memoria );
                               }
                if ( memoria_asignada == 1 ) { 
                                free(n_Botones_Secuencia);
                                farfree(Botones);
                                memoria_asignada = 0;
                                             }
                int SiZe_BoToN = 0;
                if ( (Botones = (struct Make_Boton far *)farcalloc(1, sizeof( struct Make_Boton ) )) == NULL)
                    											 return SIN_MEMORIA;
                memoria_asignada = 1;

		Secuencias = 1;
                if (( n_Botones_Secuencia = (int *) malloc( sizeof(int)*Secuencias ) ) == NULL) {
		      printf("\nNo Hay suficiente Memoria, ni para un Boton\n\n");
                      return SIN_MEMORIA;
                }
                n_Botones_Secuencia[1 - 1] = 10;
		SiZe_BoToN += ( sizeof( struct Make_Boton ) * 10);
                if ( (Botones = (struct Make_Boton far *)farrealloc(Botones, SiZe_BoToN )) == NULL) {
                  Secuencias = 1;
                  return SIN_MEMORIA;
                }
                memoria_asignada = 1;
                Botones [0].Left = 575;  Botones [0].Up = 30;Botones [0]. Right = 635;Botones [0]. Down = 90;
                Botones [0]. Cdf = 253;                Botones [0]. Cb1 = 255;                Botones [0]. Cb2 = 254;                Botones [0]. Ab = 5;                Botones [0]. Pb = 1;                Botones [0]. Isc = 0;                Botones [0]. Sc = 17;
                Botones [1].Left = 515;  Botones [1].Up = 30;Botones [1]. Right = 575;Botones [1]. Down = 90;
                Botones [1]. Cdf = 253;                Botones [1]. Cb1 = 255;                Botones [1]. Cb2 = 254;                Botones [1]. Ab = 5;                Botones [1]. Pb = 1;                Botones [1]. Isc = 0;                Botones [1]. Sc = 32;
                Botones [2].Left = 385;  Botones [2].Up = 30;Botones [2]. Right = 445;Botones [2]. Down = 58;
                Botones [2]. Cdf = 253;                Botones [2]. Cb1 = 255;                Botones [2]. Cb2 = 254;                Botones [2]. Ab = 3;                Botones [2]. Pb = 1;                Botones [2]. Isc = 0;                Botones [2]. Sc = 115;
                Botones [3].Left = 385;  Botones [3].Up = 62;Botones [3]. Right = 445;Botones [3]. Down = 90;
		Botones [3]. Cdf = 253;                Botones [3]. Cb1 = 255;                Botones [3]. Cb2 = 254;                Botones [3]. Ab = 3;                Botones [3]. Pb = 1;                Botones [3]. Isc = 0;                Botones [3]. Sc = 116;
                Botones [4].Left = 195;  Botones [4].Up = 447;Botones [4]. Right = 380;Botones [4]. Down = 475;
                Botones [4]. Cdf = 253;                Botones [4]. Cb1 = 255;                Botones [4]. Cb2 = 254;                Botones [4]. Ab = 3;                Botones [4]. Pb = 1;                Botones [4]. Isc = 0;                Botones [4]. Sc = 46;
                Botones [5].Left = 5;  Botones [5].Up = 447;Botones [5]. Right = 190;Botones [5]. Down = 475;
                Botones [5]. Cdf = 253;                Botones [5]. Cb1 = 255;                Botones [5]. Cb2 = 254;                Botones [5]. Ab = 3;                Botones [5]. Pb = 1;                Botones [5]. Isc = 0;                Botones [5]. Sc = 31;
                Botones [6].Left = 5;  Botones [6].Up = 30;Botones [6]. Right = 125;Botones [6]. Down = 58;
		Botones [6]. Cdf = 253;                Botones [6]. Cb1 = 255;                Botones [6]. Cb2 = 254;                Botones [6]. Ab = 3;                Botones [6]. Pb = 1;                Botones [6]. Isc = 0;                Botones [6]. Sc = 30;
                Botones [7].Left = 130;  Botones [7].Up = 30;Botones [7]. Right = 250;Botones [7]. Down = 58;
                Botones [7]. Cdf = 253;                Botones [7]. Cb1 = 255;                Botones [7]. Cb2 = 254;                Botones [7]. Ab = 3;                Botones [7]. Pb = 1;                Botones [7]. Isc = 0;                Botones [7]. Sc = 48;
                Botones [8].Left = 255;  Botones [8].Up = 30;Botones [8]. Right = 380;Botones [8]. Down = 58;
                Botones [8]. Cdf = 253;                Botones [8]. Cb1 = 255;                Botones [8]. Cb2 = 254;                Botones [8]. Ab = 3;                Botones [8]. Pb = 1;                Botones [8]. Isc = 0;                Botones [8]. Sc = 18;
                Botones [9].Left = 445;  Botones [9].Up = 30;Botones [9]. Right = 505;Botones [9]. Down = 90;
                Botones [9]. Cdf = 253;                Botones [9]. Cb1 = 255;                Botones [9]. Cb2 = 254;                Botones [9]. Ab = 5;                Botones [9]. Pb = 1;                Botones [9]. Isc = 0;                Botones [9]. Sc = 120;
                break;
         case 1:
                  Bot_Static.Left = 1;  Bot_Static.Up = 1;  Bot_Static.Right = 639;  Bot_Static.Down = 479;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 5;  Bot_Static.Up = 5;  Bot_Static.Right = 635;  Bot_Static.Down = 25;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
		  setcolor(255);  settextstyle( 2, 0, 5);  outtextxy( 10, 7, "  Utilidad de introducin de datos para CD_OUT        Jos David Guilln 1995 (c)" );
                  setcolor(251);  settextstyle( 2, 0, 5);  outtextxy( 11, 8, "  Utilidad de introducin de datos para CD_OUT        Jos David Guilln 1995 (c)" );
                  Bot_Static.Left = 385;  Bot_Static.Up = 95;  Bot_Static.Right = 635;  Bot_Static.Down = 475;  Bot_Static.Cdf = 250;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 390;  Bot_Static.Up = 100;  Bot_Static.Right = 630;  Bot_Static.Down = 470;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
		break;
         case 2:
                  setcolor(241);  settextstyle( 2, 0, 6);  outtextxy( 5, 452, "    _" );
                  setcolor(0);  settextstyle( 2, 0, 6);  outtextxy( 6, 453, "    _" );
                  setcolor(255);  settextstyle( 2, 0, 6);  outtextxy( 5, 450, "    S A L I R" );
                  setcolor(0);  settextstyle( 2, 0, 6);  outtextxy( 6, 451, "    S A L I R" );
                  setcolor(241);  settextstyle( 2, 0, 6);  outtextxy( 195, 452, "  _" );
                  setcolor(240);  settextstyle( 2, 0, 6);  outtextxy( 196, 453, "  _" );
                  setcolor(255);  settextstyle( 2, 0, 6);  outtextxy( 195, 450, "  C R E D I T O S" );
                  setcolor(240);  settextstyle( 2, 0, 6);  outtextxy( 196, 451, "  C R E D I T O S" );
                  setcolor(241);  settextstyle( 2, 0, 6);  outtextxy( 11, 35, "_" );
                  setcolor(0);  settextstyle( 2, 0, 6);  outtextxy( 12, 36, "_" );
                  setcolor(255);  settextstyle( 2, 0, 6);  outtextxy( 11, 33, "A  A D I R" );
		  setcolor(0);  settextstyle( 2, 0, 6);  outtextxy( 12, 34, "A  A D I R" );
                  setcolor(241);  settextstyle( 2, 0, 6);  outtextxy( 136, 35, "_" );
                  setcolor(240);  settextstyle( 2, 0, 6);  outtextxy( 137, 36, "_" );
                  setcolor(255);  settextstyle( 2, 0, 6);  outtextxy( 136, 33, "B O R R A R" );
                  setcolor(240);  settextstyle( 2, 0, 6);  outtextxy( 137, 34, "B O R R A R" );
                  setcolor(241);  settextstyle( 2, 0, 4);  outtextxy( 257, 39, "  _" );
		  setcolor(240);  settextstyle( 2, 0, 4);  outtextxy( 258, 40, "  _" );
                  setcolor(255);  settextstyle( 2, 0, 4);  outtextxy( 257, 38, "  Editar comentario" );
                  setcolor(240);  settextstyle( 2, 0, 4);  outtextxy( 258, 39, "  Editar comentario" );
                  Bot_Static.Left = 5;  Bot_Static.Up = 62;  Bot_Static.Right = 172;  Bot_Static.Down = 90;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 172;  Bot_Static.Up = 62;  Bot_Static.Right = 230;  Bot_Static.Down = 90;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 230;  Bot_Static.Up = 62;  Bot_Static.Right = 288;  Bot_Static.Down = 90;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 288;  Bot_Static.Up = 62;  Bot_Static.Right = 318;  Bot_Static.Down = 90;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 318;  Bot_Static.Up = 62;  Bot_Static.Right = 350;  Bot_Static.Down = 90;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 350;  Bot_Static.Up = 62;  Bot_Static.Right = 380;  Bot_Static.Down = 90;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(242);  settextstyle( 2, 0, 4);  outtextxy( 11, 71, " Nombre                     N_Install  N_Exe    Inst EXE   Img" );
                  setcolor(255);  settextstyle( 2, 0, 4);  outtextxy( 10, 70, " Nombre                     N_Install  N_Exe    Inst EXE   Img" );
                  Bot_Static.Left = 5;  Bot_Static.Up = 95;  Bot_Static.Right = 172;  Bot_Static.Down = 330;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 172;  Bot_Static.Up = 95;  Bot_Static.Right = 230;  Bot_Static.Down = 330;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 230;  Bot_Static.Up = 95;  Bot_Static.Right = 288;  Bot_Static.Down = 330;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 288;  Bot_Static.Up = 95;  Bot_Static.Right = 318;  Bot_Static.Down = 330;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 318;  Bot_Static.Up = 95;  Bot_Static.Right = 350;  Bot_Static.Down = 330;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 350;  Bot_Static.Up = 95;  Bot_Static.Right = 380;  Bot_Static.Down = 330;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(255);  settextstyle( 2, 0, 5);  outtextxy( 11, 335, "Directorio" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 12, 336, "Directorio" );
                  Bot_Static.Left = 120;  Bot_Static.Up = 335;  Bot_Static.Right = 380;  Bot_Static.Down = 355;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
		  Imprime_Boton(1, Bot_Static);
                  setcolor(255);  settextstyle( 2, 0, 5);  outtextxy( 11, 355, "Nombre Imagen" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 12, 356, "Nombre Imagen" );
                  Bot_Static.Left = 120;  Bot_Static.Up = 355;  Bot_Static.Right = 178;  Bot_Static.Down = 375;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(255);  settextstyle( 2, 1, 4);  outtextxy( 200, 390, "Tipos de" );
		  setcolor(240);  settextstyle( 2, 1, 4);  outtextxy( 201, 391, "Tipos de" );
                  setcolor(255);  settextstyle( 2, 1, 4);  outtextxy( 210, 375, "instalacin" );
                  setcolor(240);  settextstyle( 2, 1, 4);  outtextxy( 211, 376, "instalacin" );
                  Bot_Static.Left = 226;  Bot_Static.Up = 360;  Bot_Static.Right = 380;  Bot_Static.Down = 442;  Bot_Static.Cdf = 250;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 231;  Bot_Static.Up = 365;  Bot_Static.Right = 375;  Bot_Static.Down = 437;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(255);  settextstyle( 2, 0, 4);  outtextxy( 231, 370, "  1 Imagen de VGA_COPY" );
                  setcolor(255);  settextstyle( 2, 0, 4);  outtextxy( 231, 380, "  2 Descompresor ARJ" );
                  setcolor(255);  settextstyle( 2, 0, 4);  outtextxy( 231, 390, "  3 Descompresor ZIP" );
                  setcolor(255);  settextstyle( 2, 0, 4);  outtextxy( 231, 400, "  4 XCopy" );
                  setcolor(255);  settextstyle( 2, 0, 4);  outtextxy( 231, 410, "  5 Programa propio" );
                  setcolor(255);  settextstyle( 2, 0, 4);  outtextxy( 231, 420, "  6 No Instalable" );
		  Bot_Static.Left = 5;  Bot_Static.Up = 380;  Bot_Static.Right = 190;  Bot_Static.Down = 442;  Bot_Static.Cdf = 250;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 10;  Bot_Static.Up = 385;  Bot_Static.Right = 185;  Bot_Static.Down = 437;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
                  Imprime_Boton(1, Bot_Static);
                break;
         case 100:
		  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "     Error en asignacin" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 242, "   de memoria CONVENCIONAL" );
                break;
         case 101:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   Error en asignacin" );
		  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "     de memoria XMS" );
                break;
         case 102:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   Error  cargando ICONOS" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   y punteros de RATON..." );
                break;
         case 103:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   Error cargando PCX" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "        de Fondo." );
                break;
         case 104:
		  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   Error cargando ficheros" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "       de sonido WAV" );
		break;
         case 105:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   Error intentando ejecutar" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   el programa deseado..." );
                break;
         case 106:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   Error intentando ejecutar" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   el programa deseado..." );
                break;
         case 107:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   ERROR    D E    TIPO" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   D E S C O N O C I D O" );
                break;
         case 108:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   ERROR ABRIENDO" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "      FICHERO" );
		break;
         case 109:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
		  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   ERROR de ESCRITURA" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "    DISCO PROTEGIDO." );
                break;
         case 110:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   ERROR de LECTURA" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   POSIBLE DAO FSICO" );
                break;
         case 111:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   ERROR INTENTANDO" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "    CERRAR FICHERO" );
                break;
	 case 112:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   ERROR INTENTANDO" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "    CARGAR BOTONES" );
                break;
         case 113:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
		  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   Icono ha cambiado." );
		  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   Cargando nuevo archivo..." );
		break;
	 default:
		break;
	}

return 1;

}
