
   struct byte {
	  int DOS_WINDOWS      : 1;
	  int Tipo_de_Programa : 4;
	  int Dibujo           : 1;
	  int Install          : 1;
	  int Ejecutable       : 1;
   };

   struct Install {
	  int Usar_VGA_COPY     : 1;
	  int Usar_ARJ          : 1;
	  int Usar_ZIP          : 1;
	  int Usar_LHA          : 1;
	  int Usar_XCopy        : 1;
	  int Usar_Install_P    : 1;

	  int Manual_Automatico : 1;
   };


typedef struct {

   struct byte Typo;		 // 1 bit DOS o WINDOWS
				 // 4 bit Tipo de programa, ( Juegos, Dibujo, ... )
				 // 1 bit ( Tiene Dibujo SI / NO )
				 // 1 bit Instalable ( SI / NO )
				 // 1 bit Ejecutable


    char Nombre[26+1];		 // Nombre del programa
    char Comentario[44][35 + 1]; // Comentario

    char N_Img[8+1];		 // Nombre de la imagen ( sin extensin )

    char Dir_P[80+1];

   // Instalacion alternativa...
   struct Install Alt_Install;

    char N_Install[8+1];
    char N_Exe[8+1];


} CD_FILE;