
   struct byte {
	  unsigned int T_Dibujo         : 1;
	  unsigned int DOS_WINDOWS      : 1;
	  unsigned int Install          : 1;
	  unsigned int Ejecutable       : 1;
	  unsigned int Tipo_de_Programa : 4;
   };

   struct Install {
	  unsigned int Usar_VGA_COPY     : 1;
	  unsigned int Usar_ARJ          : 1;
	  unsigned int Usar_ZIP          : 1;
	  unsigned int Usar_LHA          : 1;
	  unsigned int Usar_XCopy        : 1;
	  unsigned int Usar_Install_P    : 1;

	  unsigned int Manual_Automatico : 1;
   };


typedef struct {

   struct byte Typo;		 // 1 bit DOS o WINDOWS
				 // 4 bit Tipo de programa, ( Juegos, Dibujo, ... )
				 // 1 bit ( Tiene Dibujo SI / NO )
				 // 1 bit Instalable ( SI / NO )
				 // 1 bit Ejecutable


    char Nombre[26+1];		 // Nombre del programa
    char Comentario[32][35 + 1]; // Comentario

    char N_Img[8+1];		 // Nombre de la imagen ( sin extensin )

    char Dir_P[50+1];

   // Instalacion alternativa...
   struct Install Alt_Install;

    char N_Install[8+1];
    char N_Exe[8+1];


} CD_FILE;

struct Cabecera {
    char Nombre_del_Programa[70];
    char Comentario_Inicial[70];
//    const char R1 = 13, R2 =10;
//    const char Comentario_Inicial[] = {"Jos David Guilln Dominguez"};
//    const char R3 = 13, R4 =10;
//    const char R5 =  7, R6 =26;

    char VerHi, VerLow;
    char Register;

    long Records;
};

