/***************************************************************/
/*                                                             */
/* Conversin de fuentes de MAKE BOTON en ASCII a fuentes      */
/* para CPP, que pueden ser compilados junto al programa.      */
/*                                                             */
/***************************************************************/
/*                                                             */
/* MAKE BOTON es un programa realizado por Jos David Guilln  */
/* MB a CPP   es una utilidad complementaria a Make Boton por  */
/*             Jos David Guilln...                           */
/*                                                             */
/***************************************************************/
/*                                                             */
/* GRACIAS POR UTILIZAR MI SOFTWARE...                         */
/*                                                             */
/*                               JOS DAVID GUILLN (c) 1995   */
/*                                                             */
/***************************************************************/



// Debe indicar el directorio exacto de la Cabecera de MAKE BOTON
#include "..\libs\make_bot\Make_bot.h"
#include <stdlib.h>
#include <stdio.h>
#include <alloc.h>
#include <graphics.h>



extern int vez, memoria_asignada, Secuencias, *n_Botones_Secuencia;
/*extern*/ struct Make_Boton {  int Up,  Left, Down, Right;
		      unsigned char Cdf, Cb1,  Cb2;
		      unsigned char  Ab,  Pb;
		      unsigned char  Isc, Sc;
 };

extern struct Make_Boton far *Botones;
struct Make_Boton Bot_Static;



extern void Libera_Memoria(void);extern void Imprime_Boton(int D_Bord, struct Make_Boton Bot_Imp);


// Esta funcin debe ser llamada para la inicializacion de los
//  botones en lugar de CARGA_BOTONES(...).
//  Para cargar los botones con parametro 0 y para imprimir
//   imprimir los estaticos con parametro [ n de secuencia ]
int /*far  _cdecl*/ Fichero_cd_img(char Dinamicos_Estaticos);

int /*far  _cdecl*/ Fichero_cd_img(char Dinamicos_Estaticos) {

static char vez = 0;
long SiZe_BoToN = 0;

	switch(Dinamicos_Estaticos) {

	 case 0:
		if( vez == 0 ) {
				vez = 1;
				memoria_asignada = 0;
				atexit( Libera_Memoria );
			       }
		if ( memoria_asignada == 1 ) {
				free(n_Botones_Secuencia);
				farfree(Botones);
				memoria_asignada = 0;
					     }
/*
		long SiZe_BoToN = sizeof( struct Make_Boton );

		if ( (Botones = (struct Make_Boton far *)farmalloc( SiZe_BoToN )) == NULL)
		      return SIN_MEMORIA;
		memoria_asignada = 1;

		Secuencias = 3;
		if (( n_Botones_Secuencia = (int *) malloc( sizeof(int)*(Secuencias+1) ) ) == NULL) {
		      closegraph();
		      printf("\nNo Hay suficiente Memoria, ni para un Boton\n\n");
		      return SIN_MEMORIA;
		}
		n_Botones_Secuencia[1 - 1] = 24;
		SiZe_BoToN += ( sizeof( struct Make_Boton ) * 24);
		if ( (Botones = (struct Make_Boton far *)farrealloc(Botones, SiZe_BoToN )) == NULL) {
		  Secuencias = 1;
		  return SIN_MEMORIA;
		}
		memoria_asignada = 1;
*/
		Secuencias = 3;
		if (( n_Botones_Secuencia = (int *) malloc( sizeof(int)*(Secuencias+1) ) ) == NULL) {
		      closegraph();
		      printf("\nNo Hay suficiente Memoria, ni para un Boton\n\n");
		      return SIN_MEMORIA;
		}
		n_Botones_Secuencia[0] = 24;
		n_Botones_Secuencia[1] = 10;
		n_Botones_Secuencia[2] = 2;
		n_Botones_Secuencia[3] = 2;

		if ( (Botones = (struct Make_Boton far *)farmalloc( sizeof( struct Make_Boton ) * 40 )) == NULL)
		      return SIN_MEMORIA;

		Botones [0].Left = 508;  Botones [0].Up = 8;Botones [0]. Right = 562;Botones [0]. Down = 62;
		Botones [0]. Cdf = 253;                Botones [0]. Cb1 = 255;                Botones [0]. Cb2 = 254;                Botones [0]. Ab = 3;                Botones [0]. Pb = 1;                Botones [0]. Isc = 0;                Botones [0]. Sc = 32;
		Botones [1].Left = 573;  Botones [1].Up = 8;Botones [1]. Right = 627;Botones [1]. Down = 62;
		Botones [1]. Cdf = 253;                Botones [1]. Cb1 = 255;                Botones [1]. Cb2 = 254;                Botones [1]. Ab = 3;                Botones [1]. Pb = 1;                Botones [1]. Isc = 0;                Botones [1]. Sc = 17;
		Botones [2].Left = 573;  Botones [2].Up = 73;Botones [2]. Right = 627;Botones [2]. Down = 127;
		Botones [2]. Cdf = 253;                Botones [2]. Cb1 = 255;                Botones [2]. Cb2 = 254;                Botones [2]. Ab = 3;                Botones [2]. Pb = 1;                Botones [2]. Isc = 0;                Botones [2]. Sc = 120;
		Botones [3].Left = 508;  Botones [3].Up = 73;Botones [3]. Right = 562;Botones [3]. Down = 99;
		Botones [3]. Cdf = 253;                Botones [3]. Cb1 = 255;                Botones [3]. Cb2 = 254;                Botones [3]. Ab = 2;                Botones [3]. Pb = 1;                Botones [3]. Isc = 0;                Botones [3]. Sc = 75;
		Botones [4].Left = 508;  Botones [4].Up = 103;Botones [4]. Right = 562;Botones [4]. Down = 127;
		Botones [4]. Cdf = 253;                Botones [4]. Cb1 = 255;                Botones [4]. Cb2 = 254;                Botones [4]. Ab = 2;                Botones [4]. Pb = 1;                Botones [4]. Isc = 0;                Botones [4]. Sc = 77;
		Botones [5].Left = 13;  Botones [5].Up = 235;Botones [5]. Right = 198;Botones [5]. Down = 255;
		Botones [5]. Cdf = 253;                Botones [5]. Cb1 = 255;                Botones [5]. Cb2 = 254;                Botones [5]. Ab = 2;                Botones [5]. Pb = 1;                Botones [5]. Isc = 0;                Botones [5]. Sc = 104;
		Botones [6].Left = 13;  Botones [6].Up = 258;Botones [6]. Right = 198;Botones [6]. Down = 278;
		Botones [6]. Cdf = 253;                Botones [6]. Cb1 = 255;                Botones [6]. Cb2 = 254;                Botones [6]. Ab = 2;                Botones [6]. Pb = 1;                Botones [6]. Isc = 0;                Botones [6]. Sc = 105;
		Botones [7].Left = 13;  Botones [7].Up = 281;Botones [7]. Right = 198;Botones [7]. Down = 301;
		Botones [7]. Cdf = 253;                Botones [7]. Cb1 = 255;                Botones [7]. Cb2 = 254;                Botones [7]. Ab = 2;                Botones [7]. Pb = 1;                Botones [7]. Isc = 0;                Botones [7]. Sc = 106;
		Botones [8].Left = 13;  Botones [8].Up = 304;Botones [8]. Right = 198;Botones [8]. Down = 324;
		Botones [8]. Cdf = 253;                Botones [8]. Cb1 = 255;                Botones [8]. Cb2 = 254;                Botones [8]. Ab = 2;                Botones [8]. Pb = 1;                Botones [8]. Isc = 0;                Botones [8]. Sc = 107;
		Botones [9].Left = 13;  Botones [9].Up = 327;Botones [9]. Right = 198;Botones [9]. Down = 347;
		Botones [9]. Cdf = 253;                Botones [9]. Cb1 = 255;                Botones [9]. Cb2 = 254;                Botones [9]. Ab = 2;                Botones [9]. Pb = 1;                Botones [9]. Isc = 0;                Botones [9]. Sc = 108;
		Botones [10].Left = 13;  Botones [10].Up = 350;Botones [10]. Right = 198;Botones [10]. Down = 370;
		Botones [10]. Cdf = 253;                Botones [10]. Cb1 = 255;                Botones [10]. Cb2 = 254;                Botones [10]. Ab = 2;                Botones [10]. Pb = 1;                Botones [10]. Isc = 0;                Botones [10]. Sc = 109;
		Botones [11].Left = 13;  Botones [11].Up = 373;Botones [11]. Right = 198;Botones [11]. Down = 393;
		Botones [11]. Cdf = 253;                Botones [11]. Cb1 = 255;                Botones [11]. Cb2 = 254;                Botones [11]. Ab = 2;                Botones [11]. Pb = 1;                Botones [11]. Isc = 0;                Botones [11]. Sc = 110;
		Botones [12].Left = 13;  Botones [12].Up = 396;Botones [12]. Right = 198;Botones [12]. Down = 416;
		Botones [12]. Cdf = 253;                Botones [12]. Cb1 = 255;                Botones [12]. Cb2 = 254;                Botones [12]. Ab = 2;                Botones [12]. Pb = 1;                Botones [12]. Isc = 0;                Botones [12]. Sc = 111;
		Botones [13].Left = 13;  Botones [13].Up = 419;Botones [13]. Right = 198;Botones [13]. Down = 439;
		Botones [13]. Cdf = 253;                Botones [13]. Cb1 = 255;                Botones [13]. Cb2 = 254;                Botones [13]. Ab = 2;                Botones [13]. Pb = 1;                Botones [13]. Isc = 0;                Botones [13]. Sc = 112;
		Botones [14].Left = 13;  Botones [14].Up = 442;Botones [14]. Right = 198;Botones [14]. Down = 462;
		Botones [14]. Cdf = 253;                Botones [14]. Cb1 = 255;                Botones [14]. Cb2 = 254;                Botones [14]. Ab = 2;                Botones [14]. Pb = 1;                Botones [14]. Isc = 0;                Botones [14]. Sc = 113;
		Botones [15].Left = 390;  Botones [15].Up = 420;Botones [15]. Right = 505;Botones [15]. Down = 446;
		Botones [15]. Cdf = 253;                Botones [15]. Cb1 = 255;                Botones [15]. Cb2 = 254;                Botones [15]. Ab = 2;                Botones [15]. Pb = 2;                Botones [15]. Isc = 0;                Botones [15]. Sc = 23;
		Botones [16].Left = 510;  Botones [16].Up = 420;Botones [16]. Right = 630;Botones [16]. Down = 446;
		Botones [16]. Cdf = 253;                Botones [16]. Cb1 = 255;                Botones [16]. Cb2 = 254;                Botones [16]. Ab = 2;                Botones [16]. Pb = 2;                Botones [16]. Isc = 0;                Botones [16]. Sc = 46;
		Botones [17].Left = 390;  Botones [17].Up = 449;Botones [17]. Right = 505;Botones [17]. Down = 475;
		Botones [17]. Cdf = 253;                Botones [17]. Cb1 = 255;                Botones [17]. Cb2 = 254;                Botones [17]. Ab = 2;                Botones [17]. Pb = 2;                Botones [17]. Isc = 0;                Botones [17]. Sc = 18;
		Botones [18].Left = 510;  Botones [18].Up = 449;Botones [18]. Right = 630;Botones [18]. Down = 475;
		Botones [18]. Cdf = 253;                Botones [18]. Cb1 = 255;                Botones [18]. Cb2 = 254;                Botones [18]. Ab = 2;                Botones [18]. Pb = 2;                Botones [18]. Isc = 0;                Botones [18]. Sc = 31;
		Botones [19].Left = 210;  Botones [19].Up = 370;Botones [19]. Right = 235;Botones [19]. Down = 420;
		Botones [19]. Cdf = 253;                Botones [19]. Cb1 = 255;                Botones [19]. Cb2 = 254;                Botones [19]. Ab = 2;                Botones [19]. Pb = 1;                Botones [19]. Isc = 0;                Botones [19]. Sc = 72;
		Botones [20].Left = 210;  Botones [20].Up = 425;Botones [20]. Right = 235;Botones [20]. Down = 470;
		Botones [20]. Cdf = 253;                Botones [20]. Cb1 = 255;                Botones [20]. Cb2 = 254;                Botones [20]. Ab = 2;                Botones [20]. Pb = 1;                Botones [20]. Isc = 0;                Botones [20]. Sc = 80;
		Botones [21].Left = 360;  Botones [21].Up = 310;Botones [21]. Right = 385;Botones [21]. Down = 360;
		Botones [21]. Cdf = 253;                Botones [21]. Cb1 = 255;                Botones [21]. Cb2 = 254;                Botones [21]. Ab = 2;                Botones [21]. Pb = 1;                Botones [21]. Isc = 0;                Botones [21]. Sc = 73;
		Botones [22].Left = 360;  Botones [22].Up = 365;Botones [22]. Right = 385;Botones [22]. Down = 415;
		Botones [22]. Cdf = 253;                Botones [22]. Cb1 = 255;                Botones [22]. Cb2 = 254;                Botones [22]. Ab = 2;                Botones [22]. Pb = 1;                Botones [22]. Isc = 0;                Botones [22]. Sc = 81;
		Botones [23].Left = 360;  Botones [23].Up = 210;Botones [23]. Right = 385;Botones [23]. Down = 305;
		Botones [23]. Cdf = 253;                Botones [23]. Cb1 = 255;                Botones [23]. Cb2 = 254;                Botones [23]. Ab = 2;                Botones [23]. Pb = 1;                Botones [23]. Isc = 0;                Botones [23]. Sc = 47;
/*
		n_Botones_Secuencia[2 - 1] = 10;
		SiZe_BoToN += ( sizeof( struct Make_Boton ) * 10);
		if ( (Botones = (struct Make_Boton far *)farrealloc(Botones, SiZe_BoToN )) == NULL) {
		  Secuencias = 2;
		  return SIN_MEMORIA;
		}
		memoria_asignada = 1;
*/
		Botones [24].Left = 547;  Botones [24].Up = 390;Botones [24]. Right = 623;Botones [24]. Down = 410;
		Botones [24]. Cdf = 253;                Botones [24]. Cb1 = 255;                Botones [24]. Cb2 = 254;                Botones [24]. Ab = 2;                Botones [24]. Pb = 2;                Botones [24]. Isc = 0;                Botones [24]. Sc = 46;
		Botones [25].Left = 471;  Botones [25].Up = 390;Botones [25]. Right = 545;Botones [25]. Down = 410;
		Botones [25]. Cdf = 253;                Botones [25]. Cb1 = 255;                Botones [25]. Cb2 = 254;                Botones [25]. Ab = 2;                Botones [25]. Pb = 2;                Botones [25]. Isc = 0;                Botones [25]. Sc = 31;
		Botones [26].Left = 396;  Botones [26].Up = 390;Botones [26]. Right = 469;Botones [26]. Down = 410;
		Botones [26]. Cdf = 253;                Botones [26]. Cb1 = 255;                Botones [26]. Cb2 = 254;                Botones [26]. Ab = 2;                Botones [26]. Pb = 2;                Botones [26]. Isc = 0;                Botones [26]. Sc = 30;
		Botones [27].Left = 396;  Botones [27].Up = 149;Botones [27]. Right = 411;Botones [27]. Down = 165;
		Botones [27]. Cdf = 253;                Botones [27]. Cb1 = 255;                Botones [27]. Cb2 = 254;                Botones [27]. Ab = 1;                Botones [27]. Pb = 2;                Botones [27]. Isc = 0;                Botones [27]. Sc = 32;
		Botones [28].Left = 396;  Botones [28].Up = 170;Botones [28]. Right = 411;Botones [28]. Down = 186;
		Botones [28]. Cdf = 253;                Botones [28]. Cb1 = 255;                Botones [28]. Cb2 = 254;                Botones [28]. Ab = 1;                Botones [28]. Pb = 2;                Botones [28]. Isc = 0;                Botones [28]. Sc = 18;
		Botones [29].Left = 396;  Botones [29].Up = 191;Botones [29]. Right = 411;Botones [29]. Down = 207;
		Botones [29]. Cdf = 253;                Botones [29]. Cb1 = 255;                Botones [29]. Cb2 = 254;                Botones [29]. Ab = 1;                Botones [29]. Pb = 2;                Botones [29]. Isc = 0;                Botones [29]. Sc = 23;
		Botones [30].Left = 396;  Botones [30].Up = 212;Botones [30]. Right = 411;Botones [30]. Down = 228;
		Botones [30]. Cdf = 253;                Botones [30]. Cb1 = 255;                Botones [30]. Cb2 = 254;                Botones [30]. Ab = 1;                Botones [30]. Pb = 2;                Botones [30]. Isc = 0;                Botones [30]. Sc = 24;
		Botones [31].Left = 396;  Botones [31].Up = 233;Botones [31]. Right = 411;Botones [31]. Down = 249;
		Botones [31]. Cdf = 253;                Botones [31]. Cb1 = 255;                Botones [31]. Cb2 = 254;                Botones [31]. Ab = 1;                Botones [31]. Pb = 2;                Botones [31]. Isc = 0;                Botones [31]. Sc = 33;
		Botones [32].Left = 396;  Botones [32].Up = 254;Botones [32]. Right = 411;Botones [32]. Down = 270;
		Botones [32]. Cdf = 253;                Botones [32]. Cb1 = 255;                Botones [32]. Cb2 = 254;                Botones [32]. Ab = 1;                Botones [32]. Pb = 2;                Botones [32]. Isc = 0;                Botones [32]. Sc = 49;
		Botones [33].Left = 396;  Botones [33].Up = 275;Botones [33]. Right = 623;Botones [33]. Down = 310;
		Botones [33]. Cdf = 253;                Botones [33]. Cb1 = 255;                Botones [33]. Cb2 = 254;                Botones [33]. Ab = 3;                Botones [33]. Pb = 2;                Botones [33]. Isc = 0;                Botones [33]. Sc = 50;
/*
		n_Botones_Secuencia[3 - 1] = 2;
		SiZe_BoToN += ( sizeof( struct Make_Boton ) * 2);
		if ( (Botones = (struct Make_Boton far *)farrealloc(Botones, SiZe_BoToN )) == NULL) {
		  Secuencias = 3;
		  return SIN_MEMORIA;
		}
		memoria_asignada = 1;
*/
		Botones [34].Left = 123;  Botones [34].Up = 165;Botones [34]. Right = 516;Botones [34]. Down = 185;
		Botones [34]. Cdf = 240;                Botones [34]. Cb1 = 255;                Botones [34]. Cb2 = 254;                Botones [34]. Ab = 2;                Botones [34]. Pb = 1;                Botones [34]. Isc = 0;                Botones [34]. Sc = 18;
		Botones [35].Left = 500;  Botones [35].Up = 190;Botones [35]. Right = 516;Botones [35]. Down = 330;
		Botones [35]. Cdf = 253;                Botones [35]. Cb1 = 255;                Botones [35]. Cb2 = 254;                Botones [35]. Ab = 2;                Botones [35]. Pb = 1;                Botones [35]. Isc = 0;                Botones [35]. Sc = 46;
/*
		n_Botones_Secuencia[4 - 1] = 2;
		SiZe_BoToN += ( sizeof( struct Make_Boton ) * 2);
		if ( (Botones = (struct Make_Boton far *)farrealloc(Botones, SiZe_BoToN )) == NULL) {
		  Secuencias = 4;
		  return SIN_MEMORIA;
		}
		memoria_asignada = 1;
*/
		Botones [36].Left = 204;  Botones [36].Up = 274;Botones [36]. Right = 276;Botones [36]. Down = 291;
		Botones [36]. Cdf = 253;                Botones [36]. Cb1 = 254;                Botones [36]. Cb2 = 255;                Botones [36]. Ab = 2;                Botones [36]. Pb = 1;                Botones [36]. Isc = 0;                Botones [36]. Sc = 30;
		Botones [37].Left = 364;  Botones [37].Up = 274;Botones [37]. Right = 436;Botones [37]. Down = 291;
		Botones [37]. Cdf = 253;                Botones [37]. Cb1 = 254;                Botones [37]. Cb2 = 255;                Botones [37]. Ab = 2;                Botones [37]. Pb = 1;                Botones [37]. Isc = 0;                Botones [37]. Sc = 46;
		break;
	 case 1:
		  Bot_Static.Left = 6;  Bot_Static.Up = 225;  Bot_Static.Right = 205;  Bot_Static.Down = 470;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 1;  Bot_Static.Pb = 2;
		  Imprime_Boton(0, Bot_Static);
		  Bot_Static.Left = 9;  Bot_Static.Up = 228;  Bot_Static.Right = 202;  Bot_Static.Down = 467;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 1;  Bot_Static.Pb = 2;
		  Imprime_Boton(0, Bot_Static);
		  Bot_Static.Left = 390;  Bot_Static.Up = 135;  Bot_Static.Right = 630;  Bot_Static.Down = 415;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 1;  Bot_Static.Pb = 2;
		  Imprime_Boton(0, Bot_Static);
		  Bot_Static.Left = 393;  Bot_Static.Up = 138;  Bot_Static.Right = 627;  Bot_Static.Down = 412;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 1;  Bot_Static.Pb = 2;
		  Imprime_Boton(1, Bot_Static);
		break;
	 case 2:
		  settextstyle( 2, 0, 6);
		  setcolor(255); outtextxy( 390, 426, "  _" );
		  setcolor(0);   outtextxy( 389, 425, "  _" );
		  setcolor(255); outtextxy( 391, 424, "  Instalar" );
		  setcolor(0);   outtextxy( 390, 423, "  Instalar" );
		  setcolor(255); outtextxy( 516, 426, " _" );
		  setcolor(0);   outtextxy( 515, 425, " _" );
		  setcolor(255); outtextxy( 516, 424, " Configurar" );
		  setcolor(0);   outtextxy( 515, 423, " Configurar" );
		  setcolor(255); outtextxy( 391, 453, "  _" );
		  setcolor(0);   outtextxy( 390, 452, "  _" );
		  setcolor(255); outtextxy( 391, 451, "  Ejecutar" );
		  setcolor(0);   outtextxy( 390, 450, "  Ejecutar" );
		  setcolor(255); outtextxy( 511, 453, "    _" );
		  setcolor(0);   outtextxy( 511, 452, "    _" );
		  setcolor(255); outtextxy( 511, 451, "    Salir" );
		  setcolor(0);   outtextxy( 510, 450, "    Salir" );
		  settextstyle( 2, 1, 6);
		  setcolor(255); outtextxy( 364, 289, "_" );
		  setcolor(0);   outtextxy( 363, 288, "_" );
		  settextstyle( 2, 1, 5);
		  setcolor(255); outtextxy( 364, 219, "Ver Imagen" );
		  setcolor(0);   outtextxy( 363, 218, "Ver Imagen" );
		break;
	 case 4:
		  settextstyle( 2, 0, 5);
		  setcolor(251);  outtextxy( 413, 149, "       _" );
		  setcolor(254);  outtextxy( 412, 148, "       _" );
		  setcolor(255);  outtextxy( 414, 148, " Salir despues de EJECUTAR." );
		  setcolor(254);  outtextxy( 413, 147, " Salir despues de EJECUTAR." );
		  setcolor(251);  outtextxy( 413, 170, "  _" );
		  setcolor(254);  outtextxy( 412, 169, "  _" );
		  setcolor(255);  outtextxy( 414, 169, " Desactivar Sonidos." );
		  setcolor(254);  outtextxy( 413, 168, " Desactivar Sonidos." );
		  setcolor(251);  outtextxy( 413, 191, " _" );
		  setcolor(254);  outtextxy( 412, 190, " _" );
		  setcolor(255);  outtextxy( 414, 190, " Instalacion Automtica" );
		  setcolor(254);  outtextxy( 413, 189, " Instalacion Automtica" );
		  setcolor(251);  outtextxy( 413, 212, "  _" );
		  setcolor(254);  outtextxy( 412, 211, "  _" );
		  setcolor(255);  outtextxy( 414, 211, " Comprobar espacio libre" );
		  setcolor(254);  outtextxy( 413, 210, " Comprobar espacio libre" );
		  setcolor(251);  outtextxy( 413, 230, " _" );
		  setcolor(254);  outtextxy( 412, 229, " _" );
		  setcolor(255);  outtextxy( 414, 229, " Formatear al Instalar" );
		  setcolor(254);  outtextxy( 413, 228, " Formatear al Instalar" );
		  settextstyle( 2, 0, 4);
		  setcolor(255);  outtextxy( 414, 242, " ( solo en unidades A: y B: )" );
		  setcolor(254);  outtextxy( 413, 241, " ( solo en unidades A: y B: )" );
		  settextstyle( 2, 0, 5);
		  setcolor(251);  outtextxy( 413, 254, "   _" );
		  setcolor(254);  outtextxy( 412, 253, "   _" );
		  setcolor(255);  outtextxy( 414, 253, " Sin imagen de Fondo" );
		  setcolor(254);  outtextxy( 413, 252, " Sin imagen de Fondo" );
		break;
	 case 5:
		  settextstyle( 2, 0, 5);
		  setcolor(251);    outtextxy( 547, 392, " _" );
		  setcolor(0);      outtextxy( 547, 391, " _" );
		  setcolor(255);    outtextxy( 547, 391, " Cancelar" );
		  setcolor(0);      outtextxy( 546, 390, " Cancelar" );
		  setcolor(251);    outtextxy( 471, 392, "  _" );
		  setcolor(0);      outtextxy( 470, 391, "  _" );
		  setcolor(255);    outtextxy( 471, 391, "  Salvar" );
		  setcolor(0);      outtextxy( 470, 390, "  Salvar" );
		  setcolor(251);    outtextxy( 396, 392, " _" );
		  setcolor(0);      outtextxy( 395, 391, " _" );
		  setcolor(255);    outtextxy( 396, 391, " Anterior" );
		  setcolor(0);      outtextxy( 395, 390, " Anterior" );
		  setcolor(251);    outtextxy( 394, 278, "   _" );
		  setcolor(0);      outtextxy( 393, 277, "   _" );
		  setcolor(255);    outtextxy( 396, 277, "  Imprimir icono actual sin" );
		  setcolor(0);      outtextxy( 395, 276, "  Imprimir icono actual sin" );
		  setcolor(255);    outtextxy( 396, 291, "  incluir los comentarios." );
		  setcolor(0);      outtextxy( 395, 290, "  incluir los comentarios." );
		break;
	 case 10:
		  Bot_Static.Left = 118;  Bot_Static.Up = 160;  Bot_Static.Right = 521;  Bot_Static.Down = 335;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 2;
		  Imprime_Boton(1, Bot_Static);
		break;
	 case 11:
		  setcolor(255);  settextstyle( 2, 1, 4);  outtextxy( 504, 190, "   _               " );
		  setcolor(240);                           outtextxy( 503, 191, "   _               " );
		  setcolor(255);                           outtextxy( 501, 190, "<- CANCELAR ->     " );
		  setcolor(240);                           outtextxy( 502, 191, "<- CANCELAR ->     " );
		  setcolor(252);  settextstyle( 2, 0, 6);  outtextxy( 123, 165, "         Ejecutar desde el CDROM" );
		  setcolor(240);  settextstyle( 2, 0, 4);  outtextxy( 123, 190, "NOTA IMPORTANTE:" );
							   outtextxy( 123, 200, "  Hay cuatro circunstancias por las que los programas incluidos" );
							   outtextxy( 123, 210, "  en este CDROM podran NO FUNCIONAR si se ejcutan directamente" );
							   outtextxy( 123, 220, "  usando la opcin EJECUTAR:" );
		  setcolor(251);                           outtextxy( 121, 220, "                   EJECUTAR" );
		  setcolor(240);                           outtextxy( 123, 230, "   Programas con requerimientos de memoria superior  al espacio" );
							   outtextxy( 123, 240, "   libre dejado por los drivers de acceso al CDROM." );
							   outtextxy( 123, 250, "   Programas que nesecitan escribir algn tipo de configuracin" );
							   outtextxy( 123, 260, "   u otros datos en el propio disco." );
							   outtextxy( 123, 270, "   Programas con animaciones o accesos muy rpidos a disco duro" );
							   outtextxy( 123, 280, "   Programas cuyos nombres incluyan carcteres no aceptados por" );
							   outtextxy( 123, 290, "   el estandar ISO." );
							   outtextxy( 123, 300, "  Si  por  cualquiera de las causas anteriores no funcionase el" );
							   outtextxy( 123, 310, "  programa elegido: recomendamos proceda a su INSTALACION a HD." );
		  setcolor(251);  			   outtextxy( 120, 310, "                                              INSTALACION" );
		  setcolor(240);  			   outtextxy( 123, 320, "  usando la opcin correspondiente." );
		break;
	 case 20:
		  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "Iniciar instalacin en:" );
		  Bot_Static.Left = 210;  Bot_Static.Up = 240;  Bot_Static.Right = 430;  Bot_Static.Down = 257;  Bot_Static.Cdf = 240;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 200;  Bot_Static.Up = 270;  Bot_Static.Right = 280;  Bot_Static.Down = 295;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 360;  Bot_Static.Up = 270;  Bot_Static.Right = 440;  Bot_Static.Down = 295;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		break;
	 case 21:
		  settextstyle( 2, 0, 5);
		  setcolor(255);
			  outtextxy( 200, 274, "  Aceptar" );
			  outtextxy( 340, 274, "    Cancelar" );
		  setcolor(240);
			  outtextxy( 341, 275, "    Cancelar" );
			  outtextxy( 201, 275, "  Aceptar" );
		break;
/////////////////////////// Fundido de Case's
//	 case 100:
//	 case 101:
//	 case 102:
//	 case 103:
//	 case 104:
//	 case 105:
//	 case 106:
//	 case 107:
	 case 108:
//	 case 109:
//	 case 110:
//	 case 111:
	 case 112:
	 case 113:
	 case 114:
	 case 115:
	 case 116:
		  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 251;  Bot_Static.Cb1 = 255;  Bot_Static.Cb2 = 254;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 253;  Bot_Static.Cb1 = 254;  Bot_Static.Cb2 = 255;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);


		  setcolor(240);  settextstyle( 2, 0, 5);

		  switch(Dinamicos_Estaticos) {

//			case 100:
//		  outtextxy( 210, 222, "     Error en asignacin" );
//		  outtextxy( 210, 242, "   de memoria CONVENCIONAL" );
//			break;

//			 case 101:
//
//		  outtextxy( 210, 222, "   Error en asignacin" );
//		  outtextxy( 210, 242, "     de memoria XMS" );
//			break;

//			 case 102:
//
//		  outtextxy( 210, 222, "   Error  cargando ICONOS" );
//		  outtextxy( 210, 242, "   y punteros de RATON..." );
//			break;

//			 case 103:
//
//		  outtextxy( 210, 222, "   Error cargando PCX" );
//		  outtextxy( 210, 242, "        de Fondo." );
//			break;

//			 case 104:
//
//		  outtextxy( 210, 222, "   Error cargando ficheros" );
//		  outtextxy( 210, 242, "       de sonido WAV" );
//			break;

//			 case 105:
//
//		  outtextxy( 210, 222, "   Error intentando ejecutar" );
//		  outtextxy( 210, 242, "   el programa deseado..." );
//			break;

//			 case 106:
//
//		  outtextxy( 210, 222, "   Error intentando ejecutar" );
//		  outtextxy( 210, 242, "   el programa deseado..." );
//			break;

//			 case 107:
//
//		  outtextxy( 210, 222, "   ERROR    D E    TIPO" );
//		  outtextxy( 210, 242, "   D E S C O N O C I D O" );
//			break;

			 case 108:

		  outtextxy( 210, 222, "   ERROR ABRIENDO" );
		  outtextxy( 210, 242, "      FICHERO" );
			break;

//			 case 109:
//
//		  outtextxy( 210, 222, "   ERROR de ESCRITURA" );
//		  outtextxy( 210, 242, "    DISCO PROTEGIDO." );
//			break;

//			 case 110:
//
//		  outtextxy( 210, 222, "   ERROR de LECTURA" );
//		  outtextxy( 210, 242, "   POSIBLE DAO FSICO" );
//			break;

//			 case 111:
//
//		  outtextxy( 210, 222, "   ERROR INTENTANDO" );
//		  outtextxy( 210, 242, "    CERRAR FICHERO" );
//			break;

			 case 112:

		  outtextxy( 210, 222, "   ERROR INTENTANDO" );
		  outtextxy( 210, 242, "    CARGAR BOTONES" );
			break;

			 case 113:

		  outtextxy( 210, 222, "  EL FICHERO O DIRECTORIO A" );
		  outtextxy( 210, 242, "INSTALAR NO SE HA ENCONTRADO" );
			break;

			 case 114:

		  outtextxy( 210, 222, "  EL FICHERO O DIRECTORIO A" );
		  outtextxy( 210, 242, "EJECUTAR NO SE HA ENCONTRADO" );
			break;

			 case 115:

		  outtextxy( 210, 222, " LA IMPRESORA NO ESTA LISTA" );
		  outtextxy( 210, 242, "< << OPERACION  CANCELA >> >" );
			break;

			 case 116:

		  outtextxy( 210, 222, " IMPRIMIENDO..." );
		  outtextxy( 210, 242, "                        -JD-" );
			break;
		  }
		break;
	 default:
		break;
	}
return 1;
}
